- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
BcpsModel Class Reference

`#include <BcpsModel.h>`

Inheritance diagram for BcpsModel:
[legend]
Collaboration diagram for BcpsModel:
[legend]

## Public Member Functions
| BcpsModel ()
virtual | ~BcpsModel ()
std::vector< BcpsVariable * > | getVariables () const
| Return list of variables. More...
std::vector< BcpsConstraint * > | getConstrints () const
| Return list of constraints. More...
CoinMessageHandler * | bcpsMessageHandler () const
| Get the message handler. More...
CoinMessages | bcpsMessages ()
| Return messages. More...
AlpsReturnStatus | encodeBcps (AlpsEncoded *encoded) const
| Pack Bcps portion of model into an encoded object. More...
AlpsReturnStatus | decodeBcps (AlpsEncoded &encoded)
| Unpack Bcps portion of model from an encoded object. More...
std::vector< BcpsConstraint * > & | getConstraints ()
| Get variables and constraints. More...
std::vector< BcpsVariable * > & | getVariables ()
| Get variables and constraints. More...
int | getNumCoreConstraints () const
| Get variables and constraints. More...
int | getNumCoreVariables () const
| Get variables and constraints. More...
void | setConstraints (BcpsConstraint **con, int size)
| Set variables and constraints. More...
void | setNumCoreConstraints (int num)
| Set variables and constraints. More...
void | setVariables (BcpsVariable **var, int size)
| Set variables and constraints. More...
void | setNumCoreVariables (int num)
| Set variables and constraints. More...
Public Member Functions inherited from AlpsModel
| AlpsModel ()
| Default construtor. More...
virtual | ~AlpsModel ()
| Destructor. More...
AlpsKnowledgeBroker * | getKnowledgeBroker ()
| Get knowledge broker. More...
void | setKnowledgeBroker (AlpsKnowledgeBroker *b)
| Set knowledge broker. More...
std::string | getDataFile () const
| Get the input file. More...
void | setDataFile (std::string infile)
| Set the data file. More...
AlpsParams * | AlpsPar ()
| Access Alps Parameters. More...
virtual void | readInstance (const char *dateFile)
| Read in the instance data. More...
virtual void | readParameters (const int argnum, const char *const *arglist)
| Read in Alps parameters. More...
void | writeParameters (std::ostream &outstream) const
| Write out parameters. More...
virtual bool | setupSelf ()
| Do necessary work to make model ready for use, such as classify variable and constraint types. More...
virtual void | preprocess ()
| Preprocessing the model. More...
virtual void | postprocess ()
| Postprocessing results. More...
virtual AlpsTreeNode * | createRoot ()
| Create the root node. More...
virtual void | modelLog ()
| Problem specific log. More...
virtual void | nodeLog (AlpsTreeNode *node, bool force)
| Node log. More...
virtual bool | fathomAllNodes ()
| Return true if all nodes on this process can be fathomed. More...
AlpsReturnStatus | encodeAlps (AlpsEncoded *encoded) const
| Pack Alps portion of node into an encoded object. More...
AlpsReturnStatus | decodeAlps (AlpsEncoded &encoded)
| Unpack Alps portion of node from an encoded object. More...
virtual void | decodeToSelf (AlpsEncoded &encoded)
| Decode model data from the encoded form and fill member data. More...
virtual void | registerKnowledge ()
| Register knowledge class. More...
virtual void | sendGeneratedKnowledge ()
| Send generated knowledge. More...
virtual void | receiveGeneratedKnowledge ()
| Receive generated knowledge. More...
virtual AlpsEncoded * | packSharedKnowlege ()
| Pack knowledge to be shared with others into an encoded object. More...
virtual void | unpackSharedKnowledge (AlpsEncoded &)
| Unpack and store shared knowledge from an encoded object. More...
Public Member Functions inherited from AlpsKnowledge
| AlpsKnowledge ()
virtual | ~AlpsKnowledge ()
KnowledgeType | getType ()
void | setType (KnowledgeType t)
virtual AlpsEncoded * | encode () const
| This method should encode the content of the object and return a pointer to the encoded form. More...
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded)
| Pack into a encode object. More...
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| This method should decode and return a pointer to a brand new object, i.e., the method must create a new object on the heap from the decoded data instead of filling up the object for which the method was invoked. More...
AlpsEncoded * | getEncoded () const
| Get/set encoded. More...
void | setEncoded (AlpsEncoded *e)

## Protected Attributes
std::vector< BcpsConstraint * > | constraints_
| Constraints input by users (before preprocessing). More...
std::vector< BcpsVariable * > | variables_
| Variables input by users (before preprocessing). More...
int | numCoreConstraints_
| Number of core constraints. More...
int | numCoreVariables_
| Number of core variables. More...
CoinMessageHandler * | bcpsMessageHandler_
| Message handler. More...
CoinMessages | bcpsMessages_
| Bcps messages. More...
Protected Attributes inherited from AlpsModel
AlpsKnowledgeBroker * | broker_
| Knowledge broker. More...
std::string | dataFile_
| Data file. More...
AlpsParams * | AlpsPar_
| The parameter set that is used in Alps. More...
Protected Attributes inherited from AlpsKnowledge
KnowledgeType | type_

## Detailed Description

Definition at line 40 of file BcpsModel.h.

## Constructor & Destructor Documentation

BcpsModel::BcpsModel | ( |  | ) |
| inline

Definition at line 67 of file BcpsModel.h.

virtual BcpsModel::~BcpsModel | ( |  | ) |
| inline virtual

Definition at line 77 of file BcpsModel.h.

## Member Function Documentation

std::vector<BcpsConstraint *>& BcpsModel::getConstraints | ( |  | ) |
| inline

Get variables and constraints.

Definition at line 92 of file BcpsModel.h.

std::vector<BcpsVariable *>& BcpsModel::getVariables | ( |  | ) |
| inline

Get variables and constraints.

Definition at line 93 of file BcpsModel.h.

int BcpsModel::getNumCoreConstraints | ( |  | ) | const
| inline

Get variables and constraints.

Definition at line 95 of file BcpsModel.h.

int BcpsModel::getNumCoreVariables | ( |  | ) | const
| inline

Get variables and constraints.

Definition at line 96 of file BcpsModel.h.

void BcpsModel::setConstraints | ( | BcpsConstraint ** | con,
|  | int | size
| ) |  |
| inline

Set variables and constraints.

Definition at line 101 of file BcpsModel.h.

void BcpsModel::setNumCoreConstraints | ( | int | num | ) |
| inline

Set variables and constraints.

Definition at line 106 of file BcpsModel.h.

void BcpsModel::setVariables | ( | BcpsVariable ** | var,
|  | int | size
| ) |  |
| inline

Set variables and constraints.

Definition at line 108 of file BcpsModel.h.

void BcpsModel::setNumCoreVariables | ( | int | num | ) |
| inline

Set variables and constraints.

Definition at line 113 of file BcpsModel.h.

std::vector<BcpsVariable *> BcpsModel::getVariables | ( |  | ) | const
| inline

Return list of variables.

Definition at line 117 of file BcpsModel.h.

std::vector<BcpsConstraint *> BcpsModel::getConstrints | ( |  | ) | const
| inline

Return list of constraints.

Definition at line 120 of file BcpsModel.h.

CoinMessageHandler* BcpsModel::bcpsMessageHandler | ( |  | ) | const
| inline

Get the message handler.

Definition at line 123 of file BcpsModel.h.

CoinMessages BcpsModel::bcpsMessages | ( |  | ) |
| inline

Return messages.

Definition at line 127 of file BcpsModel.h.

AlpsReturnStatus BcpsModel::encodeBcps | ( | AlpsEncoded * | encoded | ) | const

Pack Bcps portion of model into an encoded object.

AlpsReturnStatus BcpsModel::decodeBcps | ( | AlpsEncoded & | encoded | ) |

Unpack Bcps portion of model from an encoded object.

## Member Data Documentation

std::vector<BcpsConstraint *> BcpsModel::constraints_
| protected

Constraints input by users (before preprocessing).

Definition at line 45 of file BcpsModel.h.

std::vector<BcpsVariable *> BcpsModel::variables_
| protected

Variables input by users (before preprocessing).

Definition at line 48 of file BcpsModel.h.

int BcpsModel::numCoreConstraints_
| protected

Number of core constraints.

By default, all input constraints are core.

Definition at line 54 of file BcpsModel.h.

int BcpsModel::numCoreVariables_
| protected

Number of core variables.

By default, all input variables are core.

Definition at line 57 of file BcpsModel.h.

CoinMessageHandler* BcpsModel::bcpsMessageHandler_
| protected

Message handler.

Definition at line 60 of file BcpsModel.h.

CoinMessages BcpsModel::bcpsMessages_
| protected

Bcps messages.

Definition at line 63 of file BcpsModel.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Bcps/src/BcpsModel.h